<html>
<head>
<title>OGRE: Ogre::Polygon Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1Polygon.html">Polygon</a></div>
<h1>Ogre::Polygon Class Reference</h1><!-- doxytag: class="Ogre::Polygon" -->The class represents a polygon in 3D space.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgrePolygon_8h-source.html">OgrePolygon.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1Polygon-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Types</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::vector<br>
&lt; <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Polygon.html#72d1c26d937a8a3f8caad158c7d71745">VertexList</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef <br>
std::multimap<br>
&lt; <a class="el" href="classOgre_1_1Vector3.html">Vector3</a>, <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Polygon.html#75ad4cca62e4f65b7f6007ee29c42644">EdgeMap</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::pair<br>
&lt; <a class="el" href="classOgre_1_1Vector3.html">Vector3</a>, <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Polygon.html#e6e7019c9a29ef5eb95e6c063d355830">Edge</a></td></tr>

<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Polygon.html#1530c1d4761371c423916f4b497d612e">Polygon</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Polygon.html#7ce008c85c18f7c28776a7e6b5fb60f3">~Polygon</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Polygon.html#86fb38e409c2792034bb6754ff373dc0">Polygon</a> (const <a class="el" href="classOgre_1_1Polygon.html">Polygon</a> &amp;cpy)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Polygon.html#8853087632d98ac16fa4e1c04e537353">insertVertex</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;vdata, size_t vertexIndex)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Inserts a vertex at a specific position.  <a href="#8853087632d98ac16fa4e1c04e537353"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Polygon.html#c32b2d0a6e7c0cee21471fdaf6da13c4">insertVertex</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;vdata)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Inserts a vertex at the end of the polygon.  <a href="#c32b2d0a6e7c0cee21471fdaf6da13c4"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Polygon.html#78fc87812be94651e58cd99d7cdbef54">getVertex</a> (size_t vertex) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns a vertex.  <a href="#78fc87812be94651e58cd99d7cdbef54"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Polygon.html#0d19a9876f714cde041e3b7c4598e3b4">setVertex</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;vdata, size_t vertexIndex)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets a specific vertex of a polygon.  <a href="#0d19a9876f714cde041e3b7c4598e3b4"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Polygon.html#777fe4198b330b2df854b68128299f5c">removeDuplicates</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Removes duplicate vertices from a polygon.  <a href="#777fe4198b330b2df854b68128299f5c"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Polygon.html#b61dd0f578a0aee7661960f2d4bd5bb4">getVertexCount</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Vertex count.  <a href="#b61dd0f578a0aee7661960f2d4bd5bb4"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Polygon.html#4e226171fc5dd3387b574d2be00c667d">getNormal</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns the polygon normal.  <a href="#4e226171fc5dd3387b574d2be00c667d"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Polygon.html#2326d35755fe008fb437c208c6b007d6">deleteVertex</a> (size_t vertex)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Deletes a specific vertex.  <a href="#2326d35755fe008fb437c208c6b007d6"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Polygon.html#61ad0b21fa73c9019690da206dfeef88">storeEdges</a> (<a class="el" href="classOgre_1_1Polygon.html#75ad4cca62e4f65b7f6007ee29c42644">EdgeMap</a> *edgeMap) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Stores the edges of the polygon in ccw order.  <a href="#61ad0b21fa73c9019690da206dfeef88"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Polygon.html#9db9518c3381e7a840610bf181d65b73">reset</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Resets the object.  <a href="#9db9518c3381e7a840610bf181d65b73"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Polygon.html#e607fbd8d07ef696d741499e4fe47673">operator==</a> (const <a class="el" href="classOgre_1_1Polygon.html">Polygon</a> &amp;rhs) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Determines if the current object is equal to the compared one.  <a href="#e607fbd8d07ef696d741499e4fe47673"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Polygon.html#0db7b835ad9015300d80253f0e7438cf">operator!=</a> (const <a class="el" href="classOgre_1_1Polygon.html">Polygon</a> &amp;rhs) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Determines if the current object is not equal to the compared one.  <a href="#0db7b835ad9015300d80253f0e7438cf"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Polygon.html#284a3ddcaa413682f70a160f946bca33">updateNormal</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Updates the normal.  <a href="#284a3ddcaa413682f70a160f946bca33"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Polygon.html#72d1c26d937a8a3f8caad158c7d71745">VertexList</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Polygon.html#44797951e46517046987e8e73c86f060">mVertexList</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Polygon.html#52453dc3845392de7cfb9516d92d8111">mNormal</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Polygon.html#371dbd706469fcd3a09e6cc9de307a31">mIsNormalSet</a></td></tr>

<tr><td colspan="2"><br><h2>Friends</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">_OgreExport friend <br>
std::ostream &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Polygon.html#4ecd1e0336a4e27b0c09ae3f75a1da72">operator&lt;&lt;</a> (std::ostream &amp;strm, const <a class="el" href="classOgre_1_1Polygon.html">Polygon</a> &amp;poly)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Prints out the polygon data.  <a href="#4ecd1e0336a4e27b0c09ae3f75a1da72"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
The class represents a polygon in 3D space. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>It is made up of 3 or more vertices in a single plane, listed in counter-clockwise order. </dd></dl>

<p>Definition at line <a class="el" href="OgrePolygon_8h-source.html#l00046">46</a> of file <a class="el" href="OgrePolygon_8h-source.html">OgrePolygon.h</a>.</p>
<hr><h2>Member Typedef Documentation</h2>
<a class="anchor" name="72d1c26d937a8a3f8caad158c7d71745"></a><!-- doxytag: member="Ogre::Polygon::VertexList" ref="72d1c26d937a8a3f8caad158c7d71745" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::vector&lt;<a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&gt; <a class="el" href="classOgre_1_1Polygon.html#72d1c26d937a8a3f8caad158c7d71745">Ogre::Polygon::VertexList</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePolygon_8h-source.html#l00050">50</a> of file <a class="el" href="OgrePolygon_8h-source.html">OgrePolygon.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="75ad4cca62e4f65b7f6007ee29c42644"></a><!-- doxytag: member="Ogre::Polygon::EdgeMap" ref="75ad4cca62e4f65b7f6007ee29c42644" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::multimap&lt;<a class="el" href="classOgre_1_1Vector3.html">Vector3</a>, <a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&gt; <a class="el" href="classOgre_1_1Polygon.html#75ad4cca62e4f65b7f6007ee29c42644">Ogre::Polygon::EdgeMap</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePolygon_8h-source.html#l00052">52</a> of file <a class="el" href="OgrePolygon_8h-source.html">OgrePolygon.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="e6e7019c9a29ef5eb95e6c063d355830"></a><!-- doxytag: member="Ogre::Polygon::Edge" ref="e6e7019c9a29ef5eb95e6c063d355830" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::pair&lt; <a class="el" href="classOgre_1_1Vector3.html">Vector3</a>, <a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&gt; <a class="el" href="classOgre_1_1Polygon.html#e6e7019c9a29ef5eb95e6c063d355830">Ogre::Polygon::Edge</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePolygon_8h-source.html#l00053">53</a> of file <a class="el" href="OgrePolygon_8h-source.html">OgrePolygon.h</a>.</p>

</div>
</div><p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="1530c1d4761371c423916f4b497d612e"></a><!-- doxytag: member="Ogre::Polygon::Polygon" ref="1530c1d4761371c423916f4b497d612e" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::Polygon::Polygon           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="7ce008c85c18f7c28776a7e6b5fb60f3"></a><!-- doxytag: member="Ogre::Polygon::~Polygon" ref="7ce008c85c18f7c28776a7e6b5fb60f3" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::Polygon::~Polygon           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="86fb38e409c2792034bb6754ff373dc0"></a><!-- doxytag: member="Ogre::Polygon::Polygon" ref="86fb38e409c2792034bb6754ff373dc0" args="(const Polygon &amp;cpy)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::Polygon::Polygon           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Polygon.html">Polygon</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>cpy</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="284a3ddcaa413682f70a160f946bca33"></a><!-- doxytag: member="Ogre::Polygon::updateNormal" ref="284a3ddcaa413682f70a160f946bca33" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Polygon::updateNormal           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Updates the normal. 
<p>

</div>
</div><p>
<a class="anchor" name="8853087632d98ac16fa4e1c04e537353"></a><!-- doxytag: member="Ogre::Polygon::insertVertex" ref="8853087632d98ac16fa4e1c04e537353" args="(const Vector3 &amp;vdata, size_t vertexIndex)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Polygon::insertVertex           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>vdata</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>vertexIndex</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Inserts a vertex at a specific position. 
<p>
<dl class="note" compact><dt><b>Note:</b></dt><dd>Vertices must be coplanar. </dd></dl>

</div>
</div><p>
<a class="anchor" name="c32b2d0a6e7c0cee21471fdaf6da13c4"></a><!-- doxytag: member="Ogre::Polygon::insertVertex" ref="c32b2d0a6e7c0cee21471fdaf6da13c4" args="(const Vector3 &amp;vdata)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Polygon::insertVertex           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>vdata</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Inserts a vertex at the end of the polygon. 
<p>
<dl class="note" compact><dt><b>Note:</b></dt><dd>Vertices must be coplanar. </dd></dl>

</div>
</div><p>
<a class="anchor" name="78fc87812be94651e58cd99d7cdbef54"></a><!-- doxytag: member="Ogre::Polygon::getVertex" ref="78fc87812be94651e58cd99d7cdbef54" args="(size_t vertex) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&amp; Ogre::Polygon::getVertex           </td>
          <td>(</td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>vertex</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns a vertex. 
<p>

</div>
</div><p>
<a class="anchor" name="0d19a9876f714cde041e3b7c4598e3b4"></a><!-- doxytag: member="Ogre::Polygon::setVertex" ref="0d19a9876f714cde041e3b7c4598e3b4" args="(const Vector3 &amp;vdata, size_t vertexIndex)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Polygon::setVertex           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>vdata</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>vertexIndex</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets a specific vertex of a polygon. 
<p>
<dl class="note" compact><dt><b>Note:</b></dt><dd>Vertices must be coplanar. </dd></dl>

</div>
</div><p>
<a class="anchor" name="777fe4198b330b2df854b68128299f5c"></a><!-- doxytag: member="Ogre::Polygon::removeDuplicates" ref="777fe4198b330b2df854b68128299f5c" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Polygon::removeDuplicates           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Removes duplicate vertices from a polygon. 
<p>

</div>
</div><p>
<a class="anchor" name="b61dd0f578a0aee7661960f2d4bd5bb4"></a><!-- doxytag: member="Ogre::Polygon::getVertexCount" ref="b61dd0f578a0aee7661960f2d4bd5bb4" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t Ogre::Polygon::getVertexCount           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Vertex count. 
<p>

</div>
</div><p>
<a class="anchor" name="4e226171fc5dd3387b574d2be00c667d"></a><!-- doxytag: member="Ogre::Polygon::getNormal" ref="4e226171fc5dd3387b574d2be00c667d" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&amp; Ogre::Polygon::getNormal           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns the polygon normal. 
<p>

</div>
</div><p>
<a class="anchor" name="2326d35755fe008fb437c208c6b007d6"></a><!-- doxytag: member="Ogre::Polygon::deleteVertex" ref="2326d35755fe008fb437c208c6b007d6" args="(size_t vertex)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Polygon::deleteVertex           </td>
          <td>(</td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>vertex</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Deletes a specific vertex. 
<p>

</div>
</div><p>
<a class="anchor" name="61ad0b21fa73c9019690da206dfeef88"></a><!-- doxytag: member="Ogre::Polygon::storeEdges" ref="61ad0b21fa73c9019690da206dfeef88" args="(EdgeMap *edgeMap) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Polygon::storeEdges           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Polygon.html#75ad4cca62e4f65b7f6007ee29c42644">EdgeMap</a> *&nbsp;</td>
          <td class="paramname"> <em>edgeMap</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Stores the edges of the polygon in ccw order. 
<p>
The vertices are copied so the user has to take the deletion into account. 
</div>
</div><p>
<a class="anchor" name="9db9518c3381e7a840610bf181d65b73"></a><!-- doxytag: member="Ogre::Polygon::reset" ref="9db9518c3381e7a840610bf181d65b73" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Polygon::reset           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Resets the object. 
<p>

</div>
</div><p>
<a class="anchor" name="e607fbd8d07ef696d741499e4fe47673"></a><!-- doxytag: member="Ogre::Polygon::operator==" ref="e607fbd8d07ef696d741499e4fe47673" args="(const Polygon &amp;rhs) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Polygon::operator==           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Polygon.html">Polygon</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rhs</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Determines if the current object is equal to the compared one. 
<p>

</div>
</div><p>
<a class="anchor" name="0db7b835ad9015300d80253f0e7438cf"></a><!-- doxytag: member="Ogre::Polygon::operator!=" ref="0db7b835ad9015300d80253f0e7438cf" args="(const Polygon &amp;rhs) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Polygon::operator!=           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Polygon.html">Polygon</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rhs</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Determines if the current object is not equal to the compared one. 
<p>

<p>Definition at line <a class="el" href="OgrePolygon_8h-source.html#l00119">119</a> of file <a class="el" href="OgrePolygon_8h-source.html">OgrePolygon.h</a>.</p>

</div>
</div><p>
<hr><h2>Friends And Related Function Documentation</h2>
<a class="anchor" name="4ecd1e0336a4e27b0c09ae3f75a1da72"></a><!-- doxytag: member="Ogre::Polygon::operator&lt;&lt;" ref="4ecd1e0336a4e27b0c09ae3f75a1da72" args="(std::ostream &amp;strm, const Polygon &amp;poly)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">_OgreExport friend std::ostream&amp; operator&lt;&lt;           </td>
          <td>(</td>
          <td class="paramtype">std::ostream &amp;&nbsp;</td>
          <td class="paramname"> <em>strm</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Polygon.html">Polygon</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>poly</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [friend]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Prints out the polygon data. 
<p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="44797951e46517046987e8e73c86f060"></a><!-- doxytag: member="Ogre::Polygon::mVertexList" ref="44797951e46517046987e8e73c86f060" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Polygon.html#72d1c26d937a8a3f8caad158c7d71745">VertexList</a> <a class="el" href="classOgre_1_1Polygon.html#44797951e46517046987e8e73c86f060">Ogre::Polygon::mVertexList</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePolygon_8h-source.html#l00056">56</a> of file <a class="el" href="OgrePolygon_8h-source.html">OgrePolygon.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="52453dc3845392de7cfb9516d92d8111"></a><!-- doxytag: member="Ogre::Polygon::mNormal" ref="52453dc3845392de7cfb9516d92d8111" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> <a class="el" href="classOgre_1_1Polygon.html#52453dc3845392de7cfb9516d92d8111">Ogre::Polygon::mNormal</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePolygon_8h-source.html#l00057">57</a> of file <a class="el" href="OgrePolygon_8h-source.html">OgrePolygon.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="371dbd706469fcd3a09e6cc9de307a31"></a><!-- doxytag: member="Ogre::Polygon::mIsNormalSet" ref="371dbd706469fcd3a09e6cc9de307a31" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Polygon.html#371dbd706469fcd3a09e6cc9de307a31">Ogre::Polygon::mIsNormalSet</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePolygon_8h-source.html#l00058">58</a> of file <a class="el" href="OgrePolygon_8h-source.html">OgrePolygon.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgrePolygon_8h-source.html">OgrePolygon.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:51:49 2008
</p>
</body>
</html>
